Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.orchestra.frameworkAdapter.basic
Class BasicFrameworkAdapterFilter

    java.lang.Object
      org.apache.myfaces.orchestra.frameworkAdapter.basic.BasicFrameworkAdapterFilter

All Implemented Interfaces:
  javax.servlet.Filter

    public class BasicFrameworkAdapterFilter

extends java.lang.Object
implements javax.servlet.Filter

Configures the BasicFrameworkAdapter.

Orchestra accesses information about the request, response, session, etc via a FrameworkAdapter so that it can be used with multiple web tier frameworks. This class selects and configures the simplest version of this adapter, which only depends on the basic Servlet APIs.

If filter config parameter "conversationMessagerClass" is set, then this is passed to the BasicFrameworkAdapter, meaning that this can be either a beanname defined in the dependency-injection framework, or an absolute classname of a type implementing ConversationMessager.

Constructor Summary
`BasicFrameworkAdapterFilter()`

Method Summary
`void` | `destroy()`
`void` | `doFilter(javax.servlet.ServletRequest req, javax.servlet.ServletResponse rsp, javax.servlet.FilterChain filterChain)`
`void` | `init(javax.servlet.FilterConfig filterConfig)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicFrameworkAdapterFilter

    public BasicFrameworkAdapterFilter()

Method Detail

### init

    public void init(javax.servlet.FilterConfig filterConfig)
              throws javax.servlet.ServletException

  Specified by:
    `init` in interface `javax.servlet.Filter`
  Throws:
    `javax.servlet.ServletException`

### doFilter

    public void doFilter(javax.servlet.ServletRequest req,
                         javax.servlet.ServletResponse rsp,
                         javax.servlet.FilterChain filterChain)
                  throws java.io.IOException,
                         javax.servlet.ServletException

  Specified by:
    `doFilter` in interface `javax.servlet.Filter`
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `javax.servlet.Filter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation. All Rights Reserved.